Bug 586623 - F13 Beta - Hard system hang while playing OpenGL game
F13 Beta - Hard system hang while playing OpenGL game
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
i686 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 21:27 EDT by Pat Kane
Modified: 2010-05-14 20:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-14 20:42:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The old Xorg logfile from the time of the hang. (76.22 KB, application/octet-stream)
2010-04-27 21:27 EDT, Pat Kane
no flags Details

  None (edit)
Description Pat Kane 2010-04-27 21:27:47 EDT
Created attachment 409641 [details]
The old Xorg logfile from the time of the hang.

Description of problem:
My Dell Vostro 410 (Intel Core2 Quad CPU Q6600)
with an Intel 82G33/G31 running F13b (2.6.33.2-57.fc13.i686.PAE) hangs when
I play alephone  with OpenGL rendering enabled.


Version-Release number of selected component (if applicable):
See attached /var/log/Xorg.0.log

How reproducible:


Steps to Reproduce:
1.Run alephone 
2. enable OpenGL rendering
3. use map KTA/"The Upwards March"
  
Actual results:
Hard system lockup.  Need reset to get system back.

Expected results:
Should be able to shoot stuff.

Additional info:
Nothing interesting produce my dmesg, I was ssh'd in
at the time of the hang with "dmesg -c" in a loop.

Tried to boot with a serial console to ttyUSB but that
hangs after printing the message:
    Probing EDD (edd=off to disable) ... ok

Tried to boot with a netconsole but could not get console
output to appear on remote box (netcat could send stuff okay).
I added:  netconsole="@/,@192.168.9.103/  to the linux boot line.
Comment 1 Pat Kane 2010-04-29 11:01:57 EDT
I got netconsole working on the system and then I added "drm.debug=0x6"
to the linux boot line.  Here is what came out on the console before
the hang:

...
[drm:intel_crtc_cursor_set], 
[drm:i915_add_request], 9260
[drm:i915_add_request], 9261
[drm:i915_add_request], 9262
[drm:i915_add_request], 9263
[drm:i915_add_request], 9264
[drm:i915_add_request], 9265
[drm:i915_add_request], 9266
[drm:i915_add_request], 9267
[drm:i915_add_request], 9268
[drm:i915_add_request], 9269
[drm:i915_add_request], 9270
[drm:i915_add_request], 9271
[drm:i915_add_request], 9272
[drm:i915_add_request], 9273
[drm:i915_add_request], 9274
[drm:i915_add_request], 9275
Comment 2 Pat Kane 2010-05-14 20:42:12 EDT
Works okay with F13RC3  (20100511.15), thanks.

Note You need to log in before you can comment on or make changes to this bug.